<?php
/**
 * Plugin Name:       Cyrano Monitoring Beacon
 * Plugin URI:        https://github.com/cyrano/wp-beacon
 * Description:       WordPress Monitoring Site Health Endpoint
 * Version:           1.0.0-dev
 * Author:            Cyrano
 * Author URI:        https://www.cyrano.de/
 * License:           MIT License
 * Text Domain:       wp-beacon
 * Requires at least: 5.6
 * Requires PHP:      7.3
 */

$autoloader = __DIR__ . '/vendor/autoload.php';

if (!is_readable($autoloader)) {
    add_action('admin_notices', function () {
        ?>
        <div class='notice notice-error is-dismissible'><p><?php _e('Fehler: Bitte die korrekte wp-beacon Distribution installieren.', 'wp-beacon'); ?></p></div>
        <?php
    });
    return;
}

require_once $autoloader;

$provider = new WpBeacon\Providers\WpBeaconServiceProvider;
$provider->register();

add_action('init', [$provider, 'boot']);


$pluginActivationProvider = new WpBeacon\Providers\PluginActivationProvider;
add_action('register_activation_hook', [$pluginActivationProvider, 'boot']);
